aboutsummaryrefslogtreecommitdiff
path: root/pd/src
diff options
context:
space:
mode:
authorGuenter Geiger <ggeiger@users.sourceforge.net>2004-02-22 16:21:48 +0000
committerGuenter Geiger <ggeiger@users.sourceforge.net>2004-02-22 16:21:48 +0000
commit2caf1386805745c7a6e2ea7c06dd61d6357f6a43 (patch)
tree415f39b01b6ab787a35d854662cd47e328882a90 /pd/src
parent8786788b04d81d6e9c4be17d4a3e59b6af3abac6 (diff)
aligned with version 0.37-1test6
svn path=/trunk/; revision=1331
Diffstat (limited to 'pd/src')
-rwxr-xr-xpd/src/configure1839
1 files changed, 200 insertions, 1639 deletions
diff --git a/pd/src/configure b/pd/src/configure
index 9f4c5573..f034801a 100755
--- a/pd/src/configure
+++ b/pd/src/configure
@@ -828,7 +828,9 @@ Optional Features:
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
--disable-alsa disable ALSA
--enable-jack jack audio server
+ --enable-portaudio portaudio
--enable-debug debugging support
+ --enable-static link statically
Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
@@ -1193,13 +1195,17 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+alsa=yes
+jack=no
+portaudio=no
+USE_OPT_CFLAGS=yes
@@ -1220,12 +1226,20 @@ if test "${enable_jack+set}" = set; then
enableval="$enable_jack"
jack="yes"
fi;
+# Check whether --enable-portaudio or --disable-portaudio was given.
+if test "${enable_portaudio+set}" = set; then
+ enableval="$enable_portaudio"
+ portaudio="yes"
+fi;
# Check whether --enable-debug or --disable-debug was given.
if test "${enable_debug+set}" = set; then
enableval="$enable_debug"
- USE_OPT_CFLAGS="NO"
-else
- USE_OPT_CFLAGS="YES"
+ USE_OPT_CFLAGS="no"
+fi;
+# Check whether --enable-static or --disable-static was given.
+if test "${enable_static+set}" = set; then
+ enableval="$enable_static"
+ static=yes
fi;
ac_ext=c
@@ -3728,69 +3742,6 @@ else
fi
-if test "$alsa" != no; then
- echo "$as_me:$LINENO: checking for snd_pcm_info in -lasound" >&5
-echo $ECHO_N "checking for snd_pcm_info in -lasound... $ECHO_C" >&6
-if test "${ac_cv_lib_asound_snd_pcm_info+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lasound $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char snd_pcm_info ();
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-snd_pcm_info ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_asound_snd_pcm_info=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_asound_snd_pcm_info=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_asound_snd_pcm_info" >&5
-echo "${ECHO_T}$ac_cv_lib_asound_snd_pcm_info" >&6
-if test $ac_cv_lib_asound_snd_pcm_info = yes; then
- PDLIB="$PDLIB -lasound" ; alsa="yes"
-else
- alsa=""
-fi
-
-fi
echo "$as_me:$LINENO: checking for X" >&5
echo $ECHO_N "checking for X... $ECHO_C" >&6
@@ -4075,11 +4026,6 @@ fi
-#AC_CHECK_HEADER(tcl.h,, echo "no tcl/tk header found" || exit 1)
-
-# FreeBSD has lots of libs there ...
-LIBS="$LIBS -L/usr/local/lib"
-
foundit=no
if test $foundit == "no";
then
@@ -4190,7 +4136,6 @@ fi
fi
-
if test $foundit == "no";
then
if test "${ac_cv_header_tcl8_7_tcl_h+set}" = set; then
@@ -4302,115 +4247,6 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.7/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.7/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.7/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.7/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.7/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.7/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.7/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.7/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.7/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.7/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.7/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_7_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_7_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_7_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_7_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.7 -I/usr/local/include/tk8.7";foundit=yes
-fi
-
-
-fi
-if test $foundit == "no";
-then
if test "${ac_cv_header_tcl8_6_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl8.6/tcl.h" >&5
echo $ECHO_N "checking for tcl8.6/tcl.h... $ECHO_C" >&6
@@ -4520,116 +4356,6 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.6/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.6/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.6/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.6/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.6/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.6/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.6/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.6/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.6/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.6/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.6/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_6_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_6_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_6_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_6_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.6 -I/usr/local/include/tk8.6";foundit=yes
-fi
-
-
-fi
-
-if test $foundit == "no";
-then
if test "${ac_cv_header_tcl8_5_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl8.5/tcl.h" >&5
echo $ECHO_N "checking for tcl8.5/tcl.h... $ECHO_C" >&6
@@ -4739,116 +4465,6 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.5/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.5/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.5/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.5/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.5/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.5/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.5/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.5/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.5/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.5/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.5/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_5_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_5_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_5_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_5_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.5 -I/usr/local/include/tk8.5";foundit=yes
-fi
-
-
-fi
-
-if test $foundit == "no";
-then
if test "${ac_cv_header_tcl8_4_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl8.4/tcl.h" >&5
echo $ECHO_N "checking for tcl8.4/tcl.h... $ECHO_C" >&6
@@ -4958,116 +4574,6 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.4/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.4/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.4/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.4/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.4/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.4/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.4/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.4/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.4/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.4/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.4/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_4_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_4_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_4_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_4_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.4 -I/usr/local/include/tk8.4";foundit=yes
-fi
-
-
-fi
-
-if test $foundit == "no";
-then
if test "${ac_cv_header_tcl8_3_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl8.3/tcl.h" >&5
echo $ECHO_N "checking for tcl8.3/tcl.h... $ECHO_C" >&6
@@ -5177,116 +4683,6 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.3/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.3/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.3/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.3/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.3/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.3/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.3/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.3/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.3/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.3/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.3/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_3_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_3_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_3_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_3_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.3 -I/usr/local/include/tk8.3";foundit=yes
-fi
-
-
-fi
-
-if test $foundit == "no";
-then
if test "${ac_cv_header_tcl8_2_tcl_h+set}" = set; then
echo "$as_me:$LINENO: checking for tcl8.2/tcl.h" >&5
echo $ECHO_N "checking for tcl8.2/tcl.h... $ECHO_C" >&6
@@ -5396,123 +4792,11 @@ fi
fi
if test $foundit == "no";
then
- if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
- echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.2/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.2/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&6
-else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.2/tcl.h usability" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.2/tcl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include </usr/local/include/tcl8.2/tcl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking /usr/local/include/tcl8.2/tcl.h presence" >&5
-echo $ECHO_N "checking /usr/local/include/tcl8.2/tcl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include </usr/local/include/tcl8.2/tcl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *\+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: /usr/local/include/tcl8.2/tcl.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for /usr/local/include/tcl8.2/tcl.h" >&5
-echo $ECHO_N "checking for /usr/local/include/tcl8.2/tcl.h... $ECHO_C" >&6
-if test "${ac_cv_header__usr_local_include_tcl8_2_tcl_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header__usr_local_include_tcl8_2_tcl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&5
-echo "${ECHO_T}$ac_cv_header__usr_local_include_tcl8_2_tcl_h" >&6
-
-fi
-if test $ac_cv_header__usr_local_include_tcl8_2_tcl_h = yes; then
- GUIFLAGS="$GUIFLAGS -I/usr/local/include/tcl8.2 -I/usr/local/include/tk8.2";foundit=yes
-fi
-
-
-fi
-
-if test $foundit == "no";
-then
echo no tcl header found
exit -1
fi
-
-
echo "$as_me:$LINENO: checking for main in -ltcl8.7" >&5
echo $ECHO_N "checking for main in -ltcl8.7... $ECHO_C" >&6
if test "${ac_cv_lib_tcl8_7_main+set}" = set; then
@@ -5570,58 +4854,6 @@ _ACEOF
LIBS="-ltcl8.7 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl87" >&5
-echo $ECHO_N "checking for main in -ltcl87... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl87_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl87 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl87_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl87_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl87_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl87_main" >&6
-if test $ac_cv_lib_tcl87_main = yes; then
- LIBS="$LIBS -ltcl87"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.6" >&5
echo $ECHO_N "checking for main in -ltcl8.6... $ECHO_C" >&6
@@ -5680,58 +4912,6 @@ _ACEOF
LIBS="-ltcl8.6 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl86" >&5
-echo $ECHO_N "checking for main in -ltcl86... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl86_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl86 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl86_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl86_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl86_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl86_main" >&6
-if test $ac_cv_lib_tcl86_main = yes; then
- LIBS="$LIBS -ltcl86"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.5" >&5
echo $ECHO_N "checking for main in -ltcl8.5... $ECHO_C" >&6
@@ -5790,58 +4970,6 @@ _ACEOF
LIBS="-ltcl8.5 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl85" >&5
-echo $ECHO_N "checking for main in -ltcl85... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl85_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl85 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl85_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl85_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl85_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl85_main" >&6
-if test $ac_cv_lib_tcl85_main = yes; then
- LIBS="$LIBS -ltcl85"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.4" >&5
echo $ECHO_N "checking for main in -ltcl8.4... $ECHO_C" >&6
@@ -5900,58 +5028,6 @@ _ACEOF
LIBS="-ltcl8.4 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl84" >&5
-echo $ECHO_N "checking for main in -ltcl84... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl84_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl84 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl84_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl84_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl84_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl84_main" >&6
-if test $ac_cv_lib_tcl84_main = yes; then
- LIBS="$LIBS -ltcl84"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.3" >&5
echo $ECHO_N "checking for main in -ltcl8.3... $ECHO_C" >&6
@@ -6010,58 +5086,6 @@ _ACEOF
LIBS="-ltcl8.3 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl83" >&5
-echo $ECHO_N "checking for main in -ltcl83... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl83_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl83 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl83_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl83_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl83_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl83_main" >&6
-if test $ac_cv_lib_tcl83_main = yes; then
- LIBS="$LIBS -ltcl83"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.2" >&5
echo $ECHO_N "checking for main in -ltcl8.2... $ECHO_C" >&6
@@ -6120,220 +5144,6 @@ _ACEOF
LIBS="-ltcl8.2 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltcl82" >&5
-echo $ECHO_N "checking for main in -ltcl82... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl82_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl82 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl82_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl82_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl82_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl82_main" >&6
-if test $ac_cv_lib_tcl82_main = yes; then
- LIBS="$LIBS -ltcl82"
-else
-
-echo "$as_me:$LINENO: checking for main in -ltcl81" >&5
-echo $ECHO_N "checking for main in -ltcl81... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl81_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl81 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl81_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl81_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl81_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl81_main" >&6
-if test $ac_cv_lib_tcl81_main = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBTCL81 1
-_ACEOF
-
- LIBS="-ltcl81 $LIBS"
-
-else
- echo "$as_me:$LINENO: checking for main in -ltcl81" >&5
-echo $ECHO_N "checking for main in -ltcl81... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl81_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl81 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl81_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl81_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl81_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl81_main" >&6
-if test $ac_cv_lib_tcl81_main = yes; then
- LIBS="$LIBS -ltcl81"
-else
- echo "$as_me:$LINENO: checking for main in -ltcl80" >&5
-echo $ECHO_N "checking for main in -ltcl80... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl80_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl80 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tcl80_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tcl80_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl80_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl80_main" >&6
-if test $ac_cv_lib_tcl80_main = yes; then
- LIBS="$LIBS -ltcl80"
-else
echo "$as_me:$LINENO: checking for main in -ltcl8.0" >&5
echo $ECHO_N "checking for main in -ltcl8.0... $ECHO_C" >&6
@@ -6391,6 +5201,8 @@ _ACEOF
LIBS="-ltcl8.0 $LIBS"
+else
+ echo no tcl library found || exit 1
fi
fi
@@ -6405,25 +5217,6 @@ fi
fi
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-
echo "$as_me:$LINENO: checking for main in -ltk8.7" >&5
@@ -6483,58 +5276,6 @@ _ACEOF
LIBS="-ltk8.7 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk87" >&5
-echo $ECHO_N "checking for main in -ltk87... $ECHO_C" >&6
-if test "${ac_cv_lib_tk87_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk87 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tk87_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tk87_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk87_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk87_main" >&6
-if test $ac_cv_lib_tk87_main = yes; then
- LIBS="$LIBS -ltk87"
-else
echo "$as_me:$LINENO: checking for main in -ltk8.6" >&5
echo $ECHO_N "checking for main in -ltk8.6... $ECHO_C" >&6
@@ -6593,58 +5334,6 @@ _ACEOF
LIBS="-ltk8.6 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk86" >&5
-echo $ECHO_N "checking for main in -ltk86... $ECHO_C" >&6
-if test "${ac_cv_lib_tk86_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk86 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tk86_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tk86_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk86_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk86_main" >&6
-if test $ac_cv_lib_tk86_main = yes; then
- LIBS="$LIBS -ltk86"
-else
echo "$as_me:$LINENO: checking for main in -ltk8.5" >&5
echo $ECHO_N "checking for main in -ltk8.5... $ECHO_C" >&6
@@ -6703,58 +5392,6 @@ _ACEOF
LIBS="-ltk8.5 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk85" >&5
-echo $ECHO_N "checking for main in -ltk85... $ECHO_C" >&6
-if test "${ac_cv_lib_tk85_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk85 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tk85_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tk85_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk85_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk85_main" >&6
-if test $ac_cv_lib_tk85_main = yes; then
- LIBS="$LIBS -ltk85"
-else
echo "$as_me:$LINENO: checking for main in -ltk8.4" >&5
echo $ECHO_N "checking for main in -ltk8.4... $ECHO_C" >&6
@@ -6813,58 +5450,6 @@ _ACEOF
LIBS="-ltk8.4 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk84" >&5
-echo $ECHO_N "checking for main in -ltk84... $ECHO_C" >&6
-if test "${ac_cv_lib_tk84_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk84 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tk84_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tk84_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk84_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk84_main" >&6
-if test $ac_cv_lib_tk84_main = yes; then
- LIBS="$LIBS -ltk84"
-else
echo "$as_me:$LINENO: checking for main in -ltk8.3" >&5
echo $ECHO_N "checking for main in -ltk8.3... $ECHO_C" >&6
@@ -6923,58 +5508,6 @@ _ACEOF
LIBS="-ltk8.3 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk83" >&5
-echo $ECHO_N "checking for main in -ltk83... $ECHO_C" >&6
-if test "${ac_cv_lib_tk83_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk83 $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-
-
-#ifdef F77_DUMMY_MAIN
-# ifdef __cplusplus
- extern "C"
-# endif
- int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-main ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_tk83_main=yes
-else
- echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_lib_tk83_main=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk83_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk83_main" >&6
-if test $ac_cv_lib_tk83_main = yes; then
- LIBS="$LIBS -ltk83"
-else
echo "$as_me:$LINENO: checking for main in -ltk8.2" >&5
echo $ECHO_N "checking for main in -ltk8.2... $ECHO_C" >&6
@@ -7033,13 +5566,14 @@ _ACEOF
LIBS="-ltk8.2 $LIBS"
else
- echo "$as_me:$LINENO: checking for main in -ltk82" >&5
-echo $ECHO_N "checking for main in -ltk82... $ECHO_C" >&6
-if test "${ac_cv_lib_tk82_main+set}" = set; then
+
+echo "$as_me:$LINENO: checking for main in -ltk8.0" >&5
+echo $ECHO_N "checking for main in -ltk8.0... $ECHO_C" >&6
+if test "${ac_cv_lib_tk8_0_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk82 $LIBS"
+LIBS="-ltk8.0 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
@@ -7071,33 +5605,65 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_tk82_main=yes
+ ac_cv_lib_tk8_0_main=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_tk82_main=no
+ac_cv_lib_tk8_0_main=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk82_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk82_main" >&6
-if test $ac_cv_lib_tk82_main = yes; then
- LIBS="$LIBS -ltk82"
+echo "$as_me:$LINENO: result: $ac_cv_lib_tk8_0_main" >&5
+echo "${ECHO_T}$ac_cv_lib_tk8_0_main" >&6
+if test $ac_cv_lib_tk8_0_main = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBTK8_0 1
+_ACEOF
+
+ LIBS="-ltk8.0 $LIBS"
+
else
+ echo no tk library found || exit 1
+fi
+
+fi
+
+fi
+
+fi
+
+fi
-echo "$as_me:$LINENO: checking for main in -ltk81" >&5
-echo $ECHO_N "checking for main in -ltk81... $ECHO_C" >&6
-if test "${ac_cv_lib_tk81_main+set}" = set; then
+fi
+
+fi
+
+
+
+if test `uname -s` = Linux;
+then
+
+ if test x$alsa == xyes; then
+ echo yes ... alsa is... $alsa
+ echo "$as_me:$LINENO: checking for snd_pcm_info in -lasound" >&5
+echo $ECHO_N "checking for snd_pcm_info in -lasound... $ECHO_C" >&6
+if test "${ac_cv_lib_asound_snd_pcm_info+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk81 $LIBS"
+LIBS="-lasound $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char snd_pcm_info ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
@@ -7107,7 +5673,7 @@ cat >conftest.$ac_ext <<_ACEOF
int
main ()
{
-main ();
+snd_pcm_info ();
;
return 0;
}
@@ -7124,37 +5690,44 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_tk81_main=yes
+ ac_cv_lib_asound_snd_pcm_info=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_tk81_main=no
+ac_cv_lib_asound_snd_pcm_info=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk81_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk81_main" >&6
-if test $ac_cv_lib_tk81_main = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBTK81 1
-_ACEOF
+echo "$as_me:$LINENO: result: $ac_cv_lib_asound_snd_pcm_info" >&5
+echo "${ECHO_T}$ac_cv_lib_asound_snd_pcm_info" >&6
+if test $ac_cv_lib_asound_snd_pcm_info = yes; then
+ PDLIB="$PDLIB -lasound" ; alsa="yes"
+else
+ alsa="no"
+fi
+
+ fi
- LIBS="-ltk81 $LIBS"
-else
- echo "$as_me:$LINENO: checking for main in -ltk81" >&5
-echo $ECHO_N "checking for main in -ltk81... $ECHO_C" >&6
-if test "${ac_cv_lib_tk81_main+set}" = set; then
+ echo "$as_me:$LINENO: checking for shm_open in -lrt" >&5
+echo $ECHO_N "checking for shm_open in -lrt... $ECHO_C" >&6
+if test "${ac_cv_lib_rt_shm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk81 $LIBS"
+LIBS="-lrt $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char shm_open ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
@@ -7164,7 +5737,7 @@ cat >conftest.$ac_ext <<_ACEOF
int
main ()
{
-main ();
+shm_open ();
;
return 0;
}
@@ -7181,32 +5754,39 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_tk81_main=yes
+ ac_cv_lib_rt_shm_open=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_tk81_main=no
+ac_cv_lib_rt_shm_open=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk81_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk81_main" >&6
-if test $ac_cv_lib_tk81_main = yes; then
- LIBS="$LIBS -ltk81"
-else
- echo "$as_me:$LINENO: checking for main in -ltk80" >&5
-echo $ECHO_N "checking for main in -ltk80... $ECHO_C" >&6
-if test "${ac_cv_lib_tk80_main+set}" = set; then
+echo "$as_me:$LINENO: result: $ac_cv_lib_rt_shm_open" >&5
+echo "${ECHO_T}$ac_cv_lib_rt_shm_open" >&6
+if test $ac_cv_lib_rt_shm_open = yes; then
+ LIBS="$LIBS -lrt"
+fi
+
+ echo "$as_me:$LINENO: checking for jack_set_xrun_callback in -ljack" >&5
+echo $ECHO_N "checking for jack_set_xrun_callback in -ljack... $ECHO_C" >&6
+if test "${ac_cv_lib_jack_jack_set_xrun_callback+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk80 $LIBS"
+LIBS="-ljack $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char jack_set_xrun_callback ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
@@ -7216,7 +5796,7 @@ cat >conftest.$ac_ext <<_ACEOF
int
main ()
{
-main ();
+jack_set_xrun_callback ();
;
return 0;
}
@@ -7233,33 +5813,41 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_tk80_main=yes
+ ac_cv_lib_jack_jack_set_xrun_callback=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_tk80_main=no
+ac_cv_lib_jack_jack_set_xrun_callback=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk80_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk80_main" >&6
-if test $ac_cv_lib_tk80_main = yes; then
- LIBS="$LIBS -ltk80"
+echo "$as_me:$LINENO: result: $ac_cv_lib_jack_jack_set_xrun_callback" >&5
+echo "${ECHO_T}$ac_cv_lib_jack_jack_set_xrun_callback" >&6
+if test $ac_cv_lib_jack_jack_set_xrun_callback = yes; then
+ LIBS="$LIBS -ljack";jack=xrun
else
+ jack=no
+fi
-echo "$as_me:$LINENO: checking for main in -ltk8.0" >&5
-echo $ECHO_N "checking for main in -ltk8.0... $ECHO_C" >&6
-if test "${ac_cv_lib_tk8_0_main+set}" = set; then
+ echo "$as_me:$LINENO: checking for jack_set_error_function in -ljack" >&5
+echo $ECHO_N "checking for jack_set_error_function in -ljack... $ECHO_C" >&6
+if test "${ac_cv_lib_jack_jack_set_error_function+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltk8.0 $LIBS"
+LIBS="-ljack $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
-
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char jack_set_error_function ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
@@ -7269,7 +5857,7 @@ cat >conftest.$ac_ext <<_ACEOF
int
main ()
{
-main ();
+jack_set_error_function ();
;
return 0;
}
@@ -7286,68 +5874,45 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_tk8_0_main=yes
+ ac_cv_lib_jack_jack_set_error_function=yes
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
-ac_cv_lib_tk8_0_main=no
+ac_cv_lib_jack_jack_set_error_function=no
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tk8_0_main" >&5
-echo "${ECHO_T}$ac_cv_lib_tk8_0_main" >&6
-if test $ac_cv_lib_tk8_0_main = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBTK8_0 1
-_ACEOF
-
- LIBS="-ltk8.0 $LIBS"
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
-fi
-
+echo "$as_me:$LINENO: result: $ac_cv_lib_jack_jack_set_error_function" >&5
+echo "${ECHO_T}$ac_cv_lib_jack_jack_set_error_function" >&6
+if test $ac_cv_lib_jack_jack_set_error_function = yes; then
+ LIBS="$LIBS -ljack";jack=yes
+else
+ jack=no
fi
-
-
-if test `uname -s` = Linux;
-then
LDFLAGS="-Wl,-export-dynamic"
+ if test "$static" = "yes"; then
+ LDFLAGS="$LDFLAGS -static"
+ fi
EXT=pd_linux
- MORECFLAGS="-DDL_OPEN -DUSEAPI_PORTAUDIO -DPA_USE_OSS -DPA_LITTLE_ENDIAN \
+ MORECFLAGS="-DDL_OPEN -DPA_USE_OSS -DPA_LITTLE_ENDIAN \
-DUSEAPI_OSS \
-I../portaudio/pa_common \
- -I../portaudio/pablio -I../portaudio/portmidi-macosx -Werror"
- SYSSRC="s_midi_oss.c s_audio_pa.c s_audio_oss.c \
+ -I../portaudio/pablio -I../portaudio/portmidi-macosx \
+ -fno-strict-aliasing"
+ SYSSRC="s_midi_oss.c s_audio_oss.c"
+ if test x$alsa == "xyes";
+ then
+ SYSSRC=$SYSSRC" s_audio_alsa.c"
+ MORECFLAGS=$MORECFLAGS" -DPA_USE_ALSA -DUSEAPI_ALSA"
+ LDFLAGS=$LDFLAGS" -lasound"
+ fi
+ if test x$portaudio == "xyes";
+ then
+ MORECFLAGS="-DUSEAPI_PORTAUDIO "$MORECFLAGS
+ SYSSRC="s_audio_pa.c \
../portaudio/pa_common/pa_allocation.c \
../portaudio/pa_common/pa_converters.c \
../portaudio/pa_common/pa_cpuload.c \
@@ -7361,60 +5926,24 @@ then
../portaudio/pablio/ringbuffer_pd.c \
../portaudio/pa_unix/pa_unix_hostapis.c \
../portaudio/pa_unix/pa_unix_util.c \
- ../portaudio/pa_unix_oss/pa_unix_oss.c "
- STRIPFLAG=-s
- GUINAME="pd-gui"
- if test $USE_OPT_CFLAGS == "YES";
- then
- OPT_CFLAGS="-O6 -funroll-loops -fomit-frame-pointer"
- else
- OPT_CFLAGS="-g"
+ ../portaudio/pa_unix_oss/pa_unix_oss.c "$SYSSRC
+ if test x$alsa == "xyes";
+ then
+ SYSSRC=$SYSSRC" \
+ ../portaudio/pa_linux_alsa/callback_thread.c \
+ ../portaudio/pa_linux_alsa/pa_linux_alsa.c \
+ ../portaudio/pa_linux_alsa/blocking_calls.c "
+ fi
fi
- OSNUMBER=0
-fi
-
-if test `uname -s` = FreeBSD;
-then
- LDFLAGS="-Wl,-export-dynamic -L/usr/local/lib/pth -lpthread"
- EXT=pd_linux
- MORECFLAGS="-DDL_OPEN -DUSEAPI_OSS"
- CFLAGS="$CFLAGS -I/usr/local/include"
- SYSSRC="s_midi_oss.c s_audio_oss.c "
STRIPFLAG=-s
GUINAME="pd-gui"
- GUIFLAGS="$GUIFLAGS -I/usr/X11R6/include -I/usr/local/include"
- if test $USE_OPT_CFLAGS == "YES";
+ if test x$USE_OPT_CFLAGS == "xyes";
then
OPT_CFLAGS="-O6 -funroll-loops -fomit-frame-pointer"
else
OPT_CFLAGS="-g"
fi
- OSNUMBER=0
-fi
-
-
-
-if test `uname -s` = IRIX64;
-then
- LDFLAGS="-n32 -DUNIX -DIRIX -DN32 -woff 1080,1064,1185 \
- -OPT:roundoff=3 -OPT:IEEE_arithmetic=3 -OPT:cray_ivdep=true \
- -shared -rdata_shared"
- EXT=pd_irix6
- MORECFLAGS=-DDL_OPEN
- SYSSRC=s_sgi.c
- STRIPFLAG=-s
- GUINAME="pd-gui"
- OSNUMBER=0
-fi
-
-if test `uname -s` = IRIX32;
-then
- LDFLAGS="-o32 -DUNIX -DIRIX -O2 -shared -rdata_shared"
- EXT=pd_irix5
- MORECFLAGS=-DDL_OPEN
- SYSSRC=s_sgi.c
- STRIPFLAG=-s
- GUINAME="pd-gui"
+ echo OPT_CFLAGS --------------- $OPT_CFLAGS
OSNUMBER=0
fi
@@ -7448,7 +5977,7 @@ then
-I/Library/Frameworks/Tk.framework/Versions/Current/Headers \
-I/Library/Frameworks/Tcl.framework/Versions/Current/Headers \
-I/Library/Frameworks/Tcl.framework/Versions/8.4/PrivateHeaders"
- if test $USE_OPT_CFLAGS == "YES";
+ if test x$USE_OPT_CFLAGS == "xyes";
then
OPT_CFLAGS="-O2"
else
@@ -7456,6 +5985,38 @@ then
fi
OSNUMBER=2
EXTERNTARGET=pd_darwin
+ if test x$jack == "xyes";
+ then
+ LDFLAGS=$LDFLAGS" -framework Jack"
+ MORECFLAGS=$MORECFLAGS" -DUSEAPI_JACK"
+ SYSSRC=$SYSSRC" s_audio_jack.c"
+ fi
+fi
+
+# support for jack, on either linux or darwin:
+if test x$jack == "xyes";
+then
+ MORECFLAGS=$MORECFLAGS" -DUSEAPI_JACK"
+ SYSSRC=$SYSSRC" s_audio_jack.c"
+ LDFLAGS=$LDFLAGS" -lrt -ljack"
+fi
+if test x$jack == "xrun";
+then
+ MORECFLAGS=$MORECFLAGS" -DUSEAPI_JACK -DJACK_XRUN"
+ SYSSRC=$SYSSRC" s_audio_jack.c"
+ LDFLAGS=$LDFLAGS" -lrt -ljack"
+fi
+
+# extra flags for alpha machines
+if test `uname -m | awk '{print $1}'` = alpha;
+then
+ MORECFLAGS=$MORECFLAGS" -mieee -mcpu=ev56"
+fi
+
+# test for compaq compiler---not sure what this does or how to test it.
+if test x$CC == xccc;
+then
+ MORECFLAGS=$MORECFLAGS" -g3 -D__COMPAQC__ -arch host"
fi
ac_config_files="$ac_config_files makefile"
@@ -8039,8 +6600,8 @@ s,@ECHO_T@,$ECHO_T,;t t
s,@LIBS@,$LIBS,;t t
s,@alsa@,$alsa,;t t
s,@jack@,$jack,;t t
+s,@portaudio@,$portaudio,;t t
s,@PDLIB@,$PDLIB,;t t
-s,@DEFINES@,$DEFINES,;t t
s,@MORECFLAGS@,$MORECFLAGS,;t t
s,@EXT@,$EXT,;t t
s,@OPT_CFLAGS@,$OPT_CFLAGS,;t t